1.1

1.1

get /v1/organization-accounts

Description

get accounts list

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
조직 계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
any of [string, null]None
queryname
optional
계정명
Example : score-account
any of [string, null]None
queryemail
optional
계정 이메일
Example : score@samsung.com
any of [string, null]None
querylogin_id
optional
로그인 ID
Example : log-archive@samsung.com
any of [string, null]None
queryjoined_start_date
optional
가입 조회 시작 일시
Example : 2024-05-17T12:34:56.789Z
any of [string, null]None
queryjoined_end_date
optional
가입 조회 종료 일시
Example : 2024-05-17T12:34:56.789Z
any of [string, null]None
queryjoined_method
optional
가입 방법
Example : INVITED
any of [enum (INVITED, CREATED, CLOUD_CONTROL), null]None
queryexclude_policy_id
optional
제외할 정책 ID
Example : 238c2fc8c29a449dbfa8681f8f1d78e2
any of [string, null]None
queryparent_unit_id
optional
ROOT 또는 부모 조직 단위 ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
any of [string, null]None
queryparent_unit_name
optional
ROOT 또는 부모 조직 단위명
Example : parent-unit-name
any of [string, null]None
querytype
optional
계정 유형
Example : MEMBER
any of [enum (MANAGEMENT, DELEGATION, MEMBER, NONE, LOG_ARCHIVE, AUDIT), null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountPageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organization-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "accounts": [
        {
            "created_at": "2024-12-19 01:09:05.000",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "email": "score@samsung.com",
            "id": "0a36e0746dbf4908acf0357829701381",
            "joined_method": "INVITED",
            "joined_time": "2024-05-17T12:34:56.789Z",
            "login_id": "log-archive@samsung.com",
            "modified_at": "2023-10-15 14:30:00",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "score-account",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
            "parent_unit_name": "parent-unit-name",
            "state": "ACTIVE",
            "type": "MEMBER"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}